# $Revision: 1.21 $, $Date: 2006/06/14 03:39:47 $
Summary:	Graphics file browser utility
Summary(pl):	Narzdzie do przegldania plikw graficznych
Name:		ksquirrel
Version:	0.6.3
Release:	1
License:	GPL v2
Group:		X11/Applications/Graphics
Source0:	http://dl.sourceforge.net/ksquirrel/%{name}-%{version}.tar.bz2
# Source0-md5:	1520b7297be8fb9f2fc7fee17b913962
Patch0:		%{name}-desktop.patch
URL:		http://ksquirrel.sourceforge.net/
BuildRequires:	OpenGL-devel
BuildRequires:	automake
BuildRequires:	kdebase-devel >= 3.2
BuildRequires:	ksquirrel-libs-devel >= %{version}
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	sed >= 4.0
Requires:	%{name}-common = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KSquirrel is an image viewer for KDE with disk navigator, file tree,
thumbnails, extended thumbnails, dynamic format support and tools to
resize, convert, colorize and print images.

%description -l pl
KSquirrel to przegldarka obrazkw dla KDE z nawigacj po dyskach,
drzewku plikw, miniaturkach, rozszerzonych miniaturkach i narzdziach
do zmiany wielkoci, rozszerzenia, koloru i do drukowania obrazkw.

%package common
Summary:	Common files for KSquirrel
Summary(pl):	Pliki wsplne dla KSquirrel
Group:		X11/Applications/Graphics

%description common
Documentation and common files for ksquirrel and ksquirrel-small.

%description common
Dokumentacja oraz pliki wsplne dla ksquirrel i ksquirrel-small.

%package small
Summary:	Graphics file browser utility - small version
Summary(pl):	Narzdzie do przegldania plikw graficznych - maa wersja
Group:		X11/Applications/Graphics
Requires:	%{name}-common = %{version}-%{release}

%description small
KSquirrel is an image viewer for KDE with disk navigator, file tree,
thumbnails, extended thumbnails, dynamic format support and tools to
resize, convert, colorize and print images - small version.

%description small -l pl
KSquirrel to przegldarka obrazkw dla KDE z nawigacj po dyskach,
drzewku plikw, miniaturkach, rozszerzonych miniaturkach i narzdziach
do zmiany wielkoci, rozszerzenia, koloru i do drukowania obrazkw -
maa wersja.

%prep
%setup -q
%patch0 -p1
%{__sed} -i 's@/usr/lib@%{_libdir}@g' ksquirrel/*.{cpp,ui*}

%build
install /usr/share/automake/config.* admin
%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_datadir}/applnk/Graphics/ksquirrel{,-small}.desktop \
	$RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ksquirrel
%{_desktopdir}/ksquirrel.desktop
%{_mandir}/man1/ksquirrel.*

%files common
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%{_datadir}/apps/ksquirrel
%{_iconsdir}/hicolor/*/*/*

%files small
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ksquirrel-small
%{_desktopdir}/ksquirrel-small.desktop
%{_mandir}/man1/ksquirrel-small.*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ksquirrel.spec,v $
Revision 1.21  2006/06/14 03:39:47  shadzik
- up to 0.6.3

Revision 1.20  2006/04/19 17:37:19  blekot
- rel 1

Revision 1.19  2006/04/19 17:30:05  blekot
- updated to 0.6.2
- NFY

Revision 1.18  2006/01/27 11:19:17  ankry
- pl in desktop patch

Revision 1.17  2006/01/25 12:15:02  qboosh
- typo

Revision 1.16  2005/12/28 01:21:35  charles
- updated to 0.6.1
- separated -common and -small packages
- BR: ksquirrel-libs-devel, pkgconfig and again kdebase-devel
- use sources *.desktop and -desktop.patch, removed Source1 (ksquirrel.desktop)

Revision 1.15  2005/12/12 04:16:02  charles
- updated to 0.6.0 final

Revision 1.14  2005/12/02 11:21:25  charles
- proper %files

Revision 1.13  2005/11/10 16:37:13  charles
- updated to 0.6.0-pre9
- updated BRs (in it kdelibs-devel instead of kdebase-devel)
- updated %files

Revision 1.12  2005/06/18 14:09:03  blekot
- BR: perl-base

Revision 1.11  2005/06/17 08:42:49  blekot
- now build
- rel 2 to STBR (mimetypes included in desktop file)

Revision 1.10  2005/06/16 19:00:34  arekm
- use external ksquirrel desktop file

Revision 1.9  2005/06/12 13:11:51  darekr
- BR: sed 4.0, unify

Revision 1.8  2005/06/12 13:05:07  ankry
- tabs

Revision 1.7  2005/06/12 11:53:14  qboosh
- sorted BRs

Revision 1.6  2005/06/12 11:08:51  arekm
- builds on amd64

Revision 1.5  2005/06/12 10:39:02  blekot
- downgrade to full 0.5.0 version
- cosmetics
- rel 1
- STBR (test)

Revision 1.4  2005/06/11 21:09:55  qboosh
- files fix

Revision 1.3  2005/06/11 14:54:53  blekot
- ksquirell.desktop.patch

Revision 1.2  2005/06/11 13:46:59  ankry
- some cleaning

Revision 1.1  2005/06/11 13:37:15  blekot
- new, NFY
- lots to do (see TODO)
